zmq driver broken with cinder multi-backend

Bug #1381972 reported by James Page on 2014-10-16
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
oslo.messaging
Undecided
James Page
oslo.messaging (Ubuntu)
High
Unassigned

Bug Description

The cinder-scheduler service resolves the host to send messages to as:

  juju-jpos-machine-5@cinder-ceph

This results in a tcp connection being opened to a non-existant host:

2014-10-16 09:51:07.086 12389 DEBUG oslo.messaging._drivers.impl_zmq [-] Connecting to tcp://juju-jpos-machine-5@cinder-ceph:9501 with PUSH __init__ /usr/lib/python2.7/dist-packages/oslo/messaging/_drivers/impl_zmq.py:145
2014-10-16 09:51:07.087 12389 DEBUG oslo.messaging._drivers.impl_zmq [-] -> Subscribed to None __init__ /usr/lib/python2.7/dist-packages/oslo/messaging/_drivers/impl_zmq.py:146
2014-10-16 09:51:07.088 12389 DEBUG oslo.messaging._drivers.impl_zmq [-] -> bind: False __init__ /usr/lib/python2.7/dist-packages/oslo/messaging/_drivers/impl_zmq.py:147

and no message ever being sent - the volume sticks in creating state.

Tags: zmq Edit Tag help

Fix proposed to branch: master
Review: https://review.openstack.org/129185

Changed in oslo.messaging:
assignee: nobody → James Page (james-page)
status: New → In Progress
James Page (james-page) on 2014-10-17
Changed in oslo.messaging (Ubuntu):
importance: Undecided → High
Changed in oslo.messaging (Ubuntu):
assignee: nobody → Oleksii Zamiatin (ozamiatin)
Changed in oslo.messaging (Ubuntu):
assignee: Oleksii Zamiatin (ozamiatin) → nobody

Change abandoned by Victor Sergeyev (<email address hidden>) on branch: master
Review: https://review.openstack.org/129185
Reason: This patch doesn't seems to be maintained.

Changed in oslo.messaging:
status: In Progress → Won't Fix
Chuck Short (zulcss) on 2017-01-05
Changed in oslo.messaging (Ubuntu):
status: New → Won't Fix

OpenStack Ocata/Cinder 10.0.0: the bug is still exist.

Note: When I tries to create the volume cinder-wsgi starts load CPU to 100% and the volume creates with "Error" status.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers